# Class TraceObject

java.lang.Object
org.mariadb.jdbc.internal.io.TraceObject

public class TraceObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPRESSED_PROTOCOL_COMPRESSED_PACKET`
`static final int`
`COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET`
`static final int`
`NOT_COMPRESSED`

## Constructor Summary

Constructors
Constructor
Description
`TraceObject(boolean send, int indicatorFlag, long threadId, byte[]... buf)`
Permit to store MariaDB packets.

## Method Summary

Modifier and Type
Method
Description
`byte[][]`
`getBuf()`
`int`
`getIndicatorFlag()`
`long`
`getThreadId()`
`boolean`
`isSend()`
`void`
`remove()`
Clear trace array for easy garbage.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NOT_COMPRESSED

public static final int NOT_COMPRESSED

See Also:
  - Constant Field Values

### COMPRESSED_PROTOCOL_COMPRESSED_PACKET

public static final int COMPRESSED_PROTOCOL_COMPRESSED_PACKET

See Also:
  - Constant Field Values

### COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET

public static final int COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET

See Also:
  - Constant Field Values

## Constructor Details

### TraceObject

public TraceObject(boolean send, int indicatorFlag, long threadId, byte[]... buf)
Permit to store MariaDB packets.

Parameters:
  `send` - was packet send or received
  `indicatorFlag` - indicator. can be NOT_COMPRESSED, COMPRESSED_PROTOCOL_COMPRESSED_PACKET or COMPRESSED_PROTOCOL_NOT_COMPRESSED_PACKET
  `threadId` - current connection thread Id
  `buf` - buffers

## Method Details

### remove

public void remove()
Clear trace array for easy garbage.

### isSend

public boolean isSend()

### getIndicatorFlag

public int getIndicatorFlag()

### getBuf

public byte[][] getBuf()

### getThreadId

public long getThreadId()